---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.46.248.134
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-controller-manager-cnvqe-072.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-controller-manager
      uid: 118175e7-d10f-4e48-9989-61281e4aa45d
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-controller-manager-cnvqe-071.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-controller-manager
      uid: a776098e-57da-4d80-866d-4ddf9748b373
  - addresses:
    - 10.46.248.41
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-controller-manager-cnvqe-070.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-controller-manager
      uid: f742da1a-4c20-47ff-85a7-f598d3e0c6cc
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:29Z"
    creationTimestamp: "2025-10-27T11:31:11Z"
    generateName: kube-controller-manager-
    generation: 26
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kube-controller-manager
      prometheus: kube-controller-manager
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:prometheus: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"934d79c4-586f-46da-a32d-2d11c64ef4f7"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:29Z"
    name: kube-controller-manager-2lhvd
    namespace: openshift-kube-controller-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kube-controller-manager
      uid: 934d79c4-586f-46da-a32d-2d11c64ef4f7
    resourceVersion: "48749"
    uid: d0c35451-16fb-4f80-8bf5-85a7da0032ab
  ports:
  - name: https
    port: 10257
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220214"
